> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get comprehensive list of all registered Cardano stake pools with their metadata and performance statistics.

# List registered stake pools



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /pools
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /pools:
    get:
      tags:
        - Pools
      summary: List registered stake pools
      description: Returns a list of currently registered stake pools
      operationId: list_pools
      parameters:
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: List of all registered stake pools (ticker can be null)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPoolListInfo'
              example:
                data:
                  - pool_id_bech32: pool100wj94uzf54vup2hdzk0afng4dhjaqggt7j434mtgm8v2gfvfgp
                    ticker: JFLD
                  - pool_id_bech32: pool102s2nqtea2hf5q0s4amj0evysmfnhrn4apyyhd4azcmsclzm96m
                    ticker: YULI
                  - pool_id_bech32: pool102vsulhfx8ua2j9fwl2u7gv57fhhutc3tp6juzaefgrn7ae35wm
                    ticker: BNP
                  - pool_id_bech32: pool1030as3pp5684ghgf4kzcpv4p2jnmkmme7j363t95690zwxp7wa0
                    ticker: '888'
                  - pool_id_bech32: pool1030vz0wxheg0dvarr8hmeavelpszmp52qucs68c7wc9uga6n6e4
                    ticker: ROMER
                  - pool_id_bech32: pool10ysem79xjxd223plxqws0fheawd78znr3qs4h2h422gmxa40amu
                    ticker: LUCY
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    73087e0231d665d82edcf7215b5381c26e406d111fe0075f987e59861dd6e451
                  block_slot: 96404335
                next_cursor: AAAAAAAAAAA
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPoolListInfo:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolListInfo'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PoolListInfo:
      type: object
      description: Stake pool identifier
      required:
        - pool_id_bech32
      properties:
        pool_id_bech32:
          type: string
          description: Bech32 encoded pool ID
        ticker:
          type: string
          description: Pool ticker symbol
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````